Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 689818 - net-misc/ntpsec-1.1.6 : nts_server.c:(.text+<snip>): undefined reference to SSL_CTX_get_security_level
Summary: net-misc/ntpsec-1.1.6 : nts_server.c:(.text+<snip>): undefined reference to S...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Steve Arnold
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libressl-support
  Show dependency tree
 
Reported: 2019-07-14 07:30 UTC by Toralf Förster
Modified: 2019-09-12 18:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.19 KB, text/plain)
2019-07-14 07:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,244.09 KB, text/plain)
2019-07-14 07:30 UTC, Toralf Förster
Details
environment (environment,164.25 KB, text/plain)
2019-07-14 07:30 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.01 KB, application/x-bzip)
2019-07-14 07:30 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,17.82 KB, application/x-bzip)
2019-07-14 07:30 UTC, Toralf Förster
Details
net-misc:ntpsec-1.1.6:20190714-023047.log (net-misc:ntpsec-1.1.6:20190714-023047.log,96.72 KB, text/plain)
2019-07-14 07:30 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,42.21 KB, application/x-bzip)
2019-07-14 07:30 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-07-14 07:30:20 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: ntpd/nts_server.c.1.o: in function `nts_server_init':
nts_server.c:(.text+0x218): undefined reference to `SSL_CTX_get_security_level'
/usr/lib/gcc/x86_64-pc-linux-gnu/9.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: ntpd/nts_client.c.1.o: in function `check_certificate':
nts_client.c:(.text+0x4db): undefined reference to `SSL_get0_peername'
/usr/lib/gcc/x86_64-pc-linux-gnu/9.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: ntpd/nts_cookie.c.1.o: in function `nts_make_cookie_key':

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib_hardened-libressl-20190709-190833

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.36.0 *



emerge -qpvO net-misc/ntpsec
[ebuild  N    ] net-misc/ntpsec-1.1.6  USE="libressl seccomp -debug -doc -early -gdb -heat -nist -ntpviz -rclock_arbiter -rclock_generic -rclock_gpsd -rclock_hpgps -rclock_jjy -rclock_local -rclock_modem -rclock_neoclock -rclock_nmea -rclock_oncore -rclock_pps -rclock_shm -rclock_spectracom -rclock_trimble -rclock_truetime -rclock_zyfer -samba -smear -tests" PYTHON_TARGETS="python2_7 python3_6 -python3_5"
Comment 1 Toralf Förster gentoo-dev 2019-07-14 07:30:23 UTC
Created attachment 582826 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-07-14 07:30:25 UTC
Created attachment 582828 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-07-14 07:30:28 UTC
Created attachment 582830 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-07-14 07:30:31 UTC
Created attachment 582832 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-07-14 07:30:33 UTC
Created attachment 582834 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-07-14 07:30:36 UTC
Created attachment 582836 [details]
net-misc:ntpsec-1.1.6:20190714-023047.log
Comment 7 Toralf Förster gentoo-dev 2019-07-14 07:30:39 UTC
Created attachment 582838 [details]
temp.tbz2
Comment 8 James Browning 2019-07-15 23:10:41 UTC
LibreSSL was never really supported by upstream and is actively deprecated post 1.1.3 see https://gitlab.com/NTPsec/ntpsec/issues/601 which would make more sense if the libressl useflag could get removed from 3 affected ebuild. Probably flag this issue upstream wontfix or something.
Comment 9 Anthony Basile gentoo-dev 2019-07-16 01:30:32 UTC
(In reply to James Browning from comment #8)
> LibreSSL was never really supported by upstream and is actively deprecated
> post 1.1.3 see https://gitlab.com/NTPsec/ntpsec/issues/601 which would make
> more sense if the libressl useflag could get removed from 3 affected ebuild.
> Probably flag this issue upstream wontfix or something.

Agreed.  I'll do it tomorrow.
Comment 10 Anthony Basile gentoo-dev 2019-07-16 17:08:53 UTC
(In reply to Anthony Basile from comment #9)
> (In reply to James Browning from comment #8)
> > LibreSSL was never really supported by upstream and is actively deprecated
> > post 1.1.3 see https://gitlab.com/NTPsec/ntpsec/issues/601 which would make
> > more sense if the libressl useflag could get removed from 3 affected ebuild.
> > Probably flag this issue upstream wontfix or something.
> 
> Agreed.  I'll do it tomorrow.

done
Comment 11 Steve Arnold gentoo-dev 2019-09-12 18:36:31 UTC
This seems to have dropped through the cracks, so fixed it yesterday.